/* Definitions for ISO-C64.

   Author: Reed Lai

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2, or (at your option)
   any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software Foundation,
   Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA. */

/* File level history (record changes for this file here.)

   *** Do not include this file in your program ***

   v 0.0.0  2 May 2003 by Reed Lai
     Bark! Bark! */

#ifndef _ISOC64_H
#define _ISOC64_H

#define MODULE_NAME        "ixisoc64"
#define IO_RANGE           0x10

/* offset of registers */
#define DO_A             0x00
#define DO_B             0x01
#define DO_C             0x02
#define DO_D             0x03
#define DO_E		 0x04
#define DO_F		 0x05
#define DO_G		 0x06
#define DO_H		 0x07

/* mask of registers */
#define DO_A_MASK        0xff
#define DO_B_MASK        0xff
#define DO_C_MASK        0xff
#define DO_D_MASK        0xff
#define DO_E_MASK	 0xff
#define DO_F_MASK	 0xff
#define DO_G_MASK	 0xff
#define DO_H_MASK	 0xff

int write_reg(ixisa_reg_t * reg, unsigned long int base);

#endif							/* _ISOC64_H */
