//******************************************************************
//      ENCODER header file
//                                              Chi-Mou Chao 9/3/98
//******************************************************************
//-------------- define parameter ----------------------------------
#define X_axis          1
#define Y_axis          2
#define Z_axis          3

#define ENC_X1          0x00
#define ENC_X2          0x08
#define ENC_QUADRANT    0x00
#define ENC_CW_CCW      0x10
#define ENC_PULSE_DIR   0x20
//-------------- subroutines ---------------------------------------
//extern void          ENC3_SELECT(unsigned int address);
extern void          ENC3_INIT_CARD(unsigned char x_mode,
                                    unsigned char y_mode,
                                    unsigned char z_mode);
extern unsigned int  ENC3_GET_ENCODER(unsigned char axis);
extern void          ENC3_RESET_ENCODER(unsigned char axis);
extern unsigned char ENC3_GET_INDEX();

