/*************************************************
 *
 *  msw.h
 * 
 *  v0.00 by Emmy Tsai
 * 
 *  Header for msw.c and enc3.c
 *
 ************************************************/ 
#ifndef _MSW_H
#define _MSW_H

#include "ixisa.h"
#include "_enc300.h"

/* for register */
#define RD1	VALUE1
#define RD2	VALUE2
#define RD3	VALUE3
#define RD4	INDEX
#define WR1	CTRL1
#define WR2	CTRL2
#define WR3	CTRL3
#define CALLBACK
#define EXPORTS

extern unsigned int encoder_base;
extern void ENC3_SELECT(unsigned int address);

void closeDev();

/* Macros to wrap DOS functions */
#define ENC3_SELECT(a)			(int)ENC3_INIT((unsigned int)a)
#define outportb(a, b)			(void)myoutb((unsigned int)(a), (unsigned char)(b))
#define outport(a, b)			outportb(a, b)	
#define inportb(a)			(unsigned int)myinb((unsigned int)(a))
/* FIXME - it will make some warning */
#define cprintf(x...)			printf(## x)
/* FIXME - gotoxy(), the fucntion of c++, not supported yet */
//#define gotoxy(x, y)			(void)mymove(x, y) 
#define clrscr()			
#define delay(x)			usleep(x*1000)

#include "enc3.h"
#endif			/* _MSW_H*/
